Description

Currently report status is stored in one integer, it should be broken down into multiple database tables allowing to reduce the size of

the database (by not storing the entire Puppet::Transaction::Report).

this should allow to search in a more rails way for all hosts that has a report with change count > 20

Related issues:

Blocks Foreman - Bug #78: Puppet reports fails with 0.24.4-5 master Closed 11/12/2009

Associated revisions

Revision ff1cc6b1 - 12/14/2009 06:00 AM - Ohad Levy

fixes #106 - redid the status calcuation, this fixes #80 but not in an optimal way - db migration would be required for that.

Revision 16cb7742 - 12/14/2009 06:02 AM - Ohad Levy

fixes #80, fixes #106 and fixes #128

History

#1 - 11/23/2009 12:33 PM - Ohad Levy

- Target version deleted (0.1-3)

as the new version of puppet is going to be a massive rewrite of how reports are handled, I'm going to push this db schema changes until its clear

what info puppet will provide.

additionally, I was never really happy with my ideas for the schema structure, so any ideas are welcomed.

#2 - 12/04/2009 05:59 AM - Ohad Levy

I've created http://github.com/ohadlevy/foreman/tree/report_scopes

I think it solves all of the topics in this issue without changing the database schema - I'll appreciate a code review :)

#3 - 12/04/2009 01:54 PM - Ohad Levy

Ohad Levy wrote:

I've created http://github.com/ohadlevy/foreman/tree/report_scopes

I think it solves all of the topics in this issue without changing the database schema - I'll appreciate a code review :)

 well.. I've just learned that indexes do not work on bitwise columns.. even though I really like that code...

#4 - 12/14/2009 03:43 AM - Ohad Levy

- Target version set to 0.1-3

#5 - 12/14/2009 06:08 AM - Ohad Levy
http://github.com/ohadlevy/foreman/tree/report_scopes
http://github.com/ohadlevy/foreman/tree/report_scopes


- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset ff1cc6b1ff54003ac9916ecf389710fdfed2ed7b.

#6 - 12/14/2009 06:08 AM - Ohad Levy

Applied in changeset 16cb774245863cfba6ceca91deec13449b7a1ce2.

#7 - 12/14/2009 06:10 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
